STRINGS = GLOBAL.STRINGS
RECIPETABS = GLOBAL.RECIPETABS
Recipe = GLOBAL.Recipe
RECIPE_GAME_TYPE = GLOBAL.RECIPE_GAME_TYPE
Ingredient = GLOBAL.Ingredient
TECH = GLOBAL.TECH


GLOBAL.OBSIDIANHANDCANNONDAMAGE = GetModConfigData("ObsidianHandCannonDamage")
GLOBAL.OBSIDIANHANDCANNONFIRE = (GetModConfigData("ObsidianHandCannonFire")=="enabled")
GLOBAL.OBSIDIANBOOMERANGPUNISHMENT = (GetModConfigData("ObsidianHandBoomerangPunishment")=="enabled")
GLOBAL.OBSIDIANMAXSTACK = GetModConfigData("BulletMaxStack")

Assets = 
{
    Asset( "IMAGE", "images/inventoryimages/obsidianhandcannon.tex" ),
    Asset( "ATLAS", "images/inventoryimages/obsidianhandcannon.xml" ),
    Asset( "IMAGE", "images/inventoryimages/bullet.tex" ),
    Asset( "ATLAS", "images/inventoryimages/bullet.xml" ),
    Asset( "IMAGE", "images/inventoryimages/obsidiancrown.tex" ),
    Asset( "ATLAS", "images/inventoryimages/obsidiancrown.xml" ),
    Asset( "IMAGE", "images/inventoryimages/obsidianamulet.tex" ),
    Asset( "ATLAS", "images/inventoryimages/obsidianamulet.xml" ),
	Asset( "IMAGE", "images/inventoryimages/obsidianboomerang.tex" ),
    Asset( "ATLAS", "images/inventoryimages/obsidianboomerang.xml" ),
	Asset("IMAGE", "images/inventoryimages/obsidiantrident.tex"),   
    Asset("ATLAS", "images/inventoryimages/obsidiantrident.xml"),
    Asset("IMAGE", "images/inventoryimages/obsidiancane.tex"),   
    Asset("ATLAS", "images/inventoryimages/obsidiancane.xml"),
	
}


PrefabFiles = {
    "obsidianhandcannon",
    "bullet",
    "obsidiancrown",
    "obsidianamulet",
	"obsidianboomerang",
	"obsidiantrident",
	"obsidiancane",
}

obsidianhandcannon = Recipe("obsidianhandcannon",{ Ingredient("livinglog",20 ), Ingredient("obsidian", 20), Ingredient("dragoonheart", 10) }, RECIPETABS.OBSIDIAN, TECH.OBSIDIAN_TWO,RECIPE_GAME_TYPE.SHIPWRECKED, nil, nil, true)
obsidianhandcannon.atlas = "images/inventoryimages/obsidianhandcannon.xml"

bullet = Recipe( "bullet", {Ingredient("gunpowder", 1), Ingredient("obsidian", 1) }, RECIPETABS.OBSIDIAN, TECH.OBSIDIAN_TWO,RECIPE_GAME_TYPE.SHIPWRECKED, nil, nil, true, 10)
bullet.atlas = "images/inventoryimages/bullet.xml"

obsidiancrown = Recipe("obsidiancrown",{ Ingredient("dragoonheart",2 ), Ingredient("obsidian", 5), Ingredient("ruinshat", 1) }, RECIPETABS.OBSIDIAN, TECH.OBSIDIAN_TWO,RECIPE_GAME_TYPE.SHIPWRECKED, nil, nil, true)
obsidiancrown.atlas = "images/inventoryimages/obsidiancrown.xml"

obsidianamulet = Recipe("obsidianamulet",{ Ingredient("blueamulet",2 ), Ingredient("obsidian", 5), Ingredient("ice", 10) }, RECIPETABS.OBSIDIAN, TECH.OBSIDIAN_TWO,RECIPE_GAME_TYPE.SHIPWRECKED, nil, nil, true)
obsidianamulet.atlas = "images/inventoryimages/obsidianamulet.xml"

obsidianboomerang = Recipe("obsidianboomerang",{ Ingredient("boomerang",2 ), Ingredient("obsidian", 5), Ingredient("dragoonheart", 1) }, RECIPETABS.OBSIDIAN, TECH.OBSIDIAN_TWO,RECIPE_GAME_TYPE.SHIPWRECKED, nil, nil, true)
obsidianboomerang.atlas = "images/inventoryimages/obsidianboomerang.xml"

obsidiantrident = Recipe("obsidiantrident",{ Ingredient("harpoon",1 ), Ingredient("obsidian", 10), Ingredient("trident", 1) }, RECIPETABS.OBSIDIAN, TECH.OBSIDIAN_TWO,RECIPE_GAME_TYPE.SHIPWRECKED, nil, nil, true)
obsidiantrident.atlas = "images/inventoryimages/obsidiantrident.xml"

obsidiancane = Recipe("obsidiancane",{ Ingredient("ice",20 ), Ingredient("obsidian", 10), Ingredient("cane", 1) }, RECIPETABS.OBSIDIAN, TECH.OBSIDIAN_TWO,RECIPE_GAME_TYPE.SHIPWRECKED, nil, nil, true)
obsidiancane.atlas = "images/inventoryimages/obsidiancane.xml"

STRINGS.NAMES.OBSIDIANHANDCANNON = "Obsidian Hand Cannon"
STRINGS.RECIPE_DESC.OBSIDIANHANDCANNON = "Desert Dragon"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.OBSIDIANHANDCANNON = "It looks great, guys"

STRINGS.NAMES.BULLET = "Obsidian Ammo"
STRINGS.RECIPE_DESC.BULLET = "A bullet made of obsidian'"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BULLET = "Shooting！"

STRINGS.NAMES.OBSIDIANCROWN = "Obsidian Crown"
STRINGS.RECIPE_DESC.OBSIDIANCROWN = "A red and black crown'"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.OBSIDIANCROWN = "Burn it!"

STRINGS.NAMES.OBSIDIANAMULET = "Obsidian Amulet"
STRINGS.RECIPE_DESC.OBSIDIANAMULET = "Calm down my weapons and tools!"

STRINGS.NAMES.OBSIDIANBOOMERANG = "Obsidian Boomerang"
STRINGS.RECIPE_DESC.OBSIDIANBOOMERANG = "Good Job!"

STRINGS.NAMES.OBSIDIANTRIDENT = "Obsidian Trident"
STRINGS.RECIPE_DESC.OBSIDIANTRIDENT = "Hot Trident!"

STRINGS.NAMES.OBSIDIANCANE = "Obsidian Cane"
STRINGS.RECIPE_DESC.OBSIDIANCANE = "Catching moster!"





AddPrefabPostInit("obsidianhandcannon")
AddPrefabPostInit("bullet")
AddPrefabPostInit("obsidiancrown")
AddPrefabPostInit("obsidianamulet")
AddPrefabPostInit("obsidianboomerang")
AddPrefabPostInit("obsidiantrident")
AddPrefabPostInit("obsidiancane")

