local assets=
{
	Asset("ANIM", "anim/bullet.zip"),
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)

    inst.Transform:SetScale(1.5, 1.5, 1.5)
    
    inst.AnimState:SetBank("bullet")
    inst.AnimState:SetBuild("bullet")
    inst.AnimState:PlayAnimation("idle")
    
    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = OBSIDIANMAXSTACK   
    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/bullet.xml"

	return inst
end

STRINGS.NAMES.BULLET = "Obsidian Ammo"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BULLET = "Shooting！"

return Prefab( "common/inventory/bullet", fn, assets) 
